import flask_restful

from monkey_island.cc.resources.auth.auth import jwt_required
from monkey_island.cc.services.reporting.exploitations.manual_exploitation import (
    get_manual_exploitations,
)


class ManualExploitation(flask_restful.Resource):
    @jwt_required
    def get(self):
        manual_exploitations = [
            exploitation.__dict__ for exploitation in get_manual_exploitations()
        ]
        return {"manual_exploitations": manual_exploitations}
